List plans
curl --request GET \
--url https://app.forecastable.com/api/v1/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.forecastable.com/api/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.forecastable.com/api/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"opportunityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"milestones": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"milestone": {},
"sortIndex": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"objective": {},
"targetDate": "2023-12-25",
"actualDate": "2023-12-25",
"prospectOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"subscriberOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completed": true,
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"targetDate": "2023-12-25",
"assignedToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"goals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"target": 123,
"actualValue": 123,
"label": "<string>",
"progress": 123,
"goalTypeCategory": "<string>",
"targetDate": "2023-12-25",
"periodLabel": "<string>",
"allocations": {},
"parentGoalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childGoals": "<array>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"goals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"target": 123,
"actualValue": 123,
"label": "<string>",
"progress": 123,
"goalTypeCategory": "<string>",
"targetDate": "2023-12-25",
"periodLabel": "<string>",
"allocations": {},
"parentGoalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childGoals": "<array>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completed": true,
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"targetDate": "2023-12-25",
"assignedToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"pagination": {
"hasNextPage": true,
"totalCount": 1,
"nextCursor": "<string>",
"page": 2,
"pageSize": 2,
"totalPages": 2
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Plans
List plans
List plans. Filter by entityType (OPPORTUNITY, BUYING_GROUP, ACCOUNT, or USER personal plans), entityId, account, or archived status. ACCOUNT filters buying-group plans for that account.
GET
/
plans
List plans
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Required range:
1 <= x <= 200Required range:
x >= 1Required range:
1 <= x <= 200Available options:
asc, desc Plan attachment type. ACCOUNT resolves to the account default buying group on create (stored as BUYING_GROUP). USER is a personal ("My Plan") plan owned by a user in the organization.
Available options:
OPPORTUNITY, BUYING_GROUP, USER, ACCOUNT Was this page helpful?
⌘I